Skip to main content
GET
/
workspaces
/
{id}
/
custom_domains
/
{custom_domain_id}
Get custom domain
curl --request GET \
  --url https://api.akua.dev/v1/workspaces/{id}/custom_domains/{custom_domain_id} \
  --header 'Authorization: Bearer <token>'
{
  "id": "<string>",
  "workspace_id": "<string>",
  "hostname": "<string>",
  "target": {
    "install_id": "<string>"
  },
  "ssl": {
    "validation_records": [
      {}
    ]
  },
  "created_at": 1,
  "updated_at": 1,
  "etag": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.akua.dev/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

workspace API token (sk_akua_...) or OAuth2 JWT. Create tokens at https://akua.dev/developers/api-tokens

Path Parameters

id
string
required

Workspace ID

Required string length: 1 - 53
custom_domain_id
string
required

Custom domain ID

Required string length: 1 - 54

Response

Custom domain

id
string
required
Required string length: 1 - 54
workspace_id
string
required
Required string length: 1 - 53
hostname
string
required
Required string length: 1 - 253
target
object
required
protocol
enum<string>
required

Transport class for route forwarding.

Available options:
http,
websocket,
grpc
routing_mode
enum<string>
required

Whether traffic uses the dispatcher Worker or bypasses it.

Available options:
through_dispatcher,
bypass_dispatcher
ssl
object
required
status
enum<string>
required
Available options:
provisioning,
active,
failed,
releasing
created_at
integer
required

Unix timestamp (seconds)

Required range: x >= 0
updated_at
integer
required

Unix timestamp (seconds)

Required range: x >= 0
etag
string
required